/**********************************************************************
*                                                                     *
*   Associative Coder of Buyanovsky (ACB)                             *
*                                                                     *
* aunzip.cpp                                                          *
*                                                                     *
* Implemented by Martin Decky, distributed under GNU GPL              *
*                                                                     *
**********************************************************************/

#include <iostream>
#include <acb/acb.h>

using namespace std;

#define STROKE 10000;

int main(int argc, char * argv[]) {
	ACB::Vocabulary vocabulary;
	ACB::TripletDecoder tdec(cin);
	ACB::Decoder decoder(vocabulary, tdec, cout);
	
	/* while not eof, uncompress */
	while (!cin.eof())
		decoder += STROKE;

	return 0;
}
