/**********************************************************************
*                                                                     *
*   Associative Coder of Buyanovsky (ACB)                             *
*                                                                     *
* azip.cpp                                                            *
*                                                                     *
* Implemented by Martin Decky, distributed under GNU GPL              *
*                                                                     *
**********************************************************************/

#include <iostream>
#include <acb/acb.h>

using namespace std;

#define CHUNK 10240;

int main(int argc, char * argv[]) {
	ACB::Vocabulary vocabulary;
	ACB::TripletEncoder tenc(cout);
	ACB::Encoder encoder(vocabulary, tenc, cin);
	
	/* while not eof, compress */
	while (!cin.eof())
		encoder += CHUNK;

	return 0;
}
